# TdApi.Proxy (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: Proxy

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Proxy

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Proxy

Enclosing class:
  TdApi

public static final class TdApi.Proxy extends TdApi.Object
Contains information about a proxy server.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`id`
Unique identifier of the proxy.
`boolean`
`isEnabled`
True, if the proxy is enabled now.
`int`
`lastUsedDate`
Point in time (Unix timestamp) when the proxy was last used; 0 if never.
`int`
`port`
Proxy server port.
`String`
`server`
Proxy server domain or IP address.
`TdApi.ProxyType`
`type`
Type of the proxy.

## Constructor Summary

Constructors
Constructor
Description
`Proxy()`
Contains information about a proxy server.
`Proxy(int id, String server, int port, int lastUsedDate, boolean isEnabled, TdApi.ProxyType type)`
Contains information about a proxy server.
`Proxy(DataInput input)`
Contains information about a proxy server.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
Unique identifier of the proxy.

### server

public String server
Proxy server domain or IP address.

### port

public int port
Proxy server port.

### lastUsedDate

public int lastUsedDate
Point in time (Unix timestamp) when the proxy was last used; 0 if never.

### isEnabled

public boolean isEnabled
True, if the proxy is enabled now.

### type

public TdApi.ProxyType type
Type of the proxy.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### Proxy

public Proxy()
Contains information about a proxy server.

### Proxy

public Proxy(int id, String server, int port, int lastUsedDate, boolean isEnabled, TdApi.ProxyType type)
Contains information about a proxy server.

Parameters:
  `id` - Unique identifier of the proxy.
  `server` - Proxy server domain or IP address.
  `port` - Proxy server port.
  `lastUsedDate` - Point in time (Unix timestamp) when the proxy was last used; 0 if never.
  `isEnabled` - True, if the proxy is enabled now.
  `type` - Type of the proxy.

### Proxy

public Proxy(DataInput input) throws IOException
Contains information about a proxy server.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`